Subject: Re: PaceClarifyDateUpdated

From: Henry Story <[email-masked]>
Date: Sun, 6 Feb 2005 12:58:36 +0100

From what has been said recently previous versions of RSS had
no versioning mechanism. It was therefore not possible for software
to automate the difference tracking behavior. Hence your problem is
partly related to the limitations in the previous formats.

Since Atom does in fact have a versioning feature, it should
be very easy for software to allow the user to select the
sensitivity to changes that he desires to be made aware of.
This will be a fertile ground for competition among clients.
I say let the market selectand filter through all the different
methods to select what should or should not be considered an important
change.

As an end user I may decide that feeds from a particular person should
be very carefully tracked for changes (say some updates to a contract 
feed), whereas other feeds need only alert me for very large changes 
(perhaps my cousin's site).

Henry

On 6 Feb 2005, at 12:47, Eric Scheid wrote:
> On 6/2/05 10:16 PM, "Henry Story" <[email-masked]> wrote:
>
>> Thinking about it, I would be in favor of clarifying it to be
>> "any change should result in a date update". Clients can
>> do simple diffs and work out themselves if the changes warrant
>> a new date. Presumably clients that see that the only change has been
>> to the white space layout may decide that this is not important enough
>> to notify their user.
>
> every day I wade through dozens of changed entries where someone fixes 
> a
> typo or punctuation or other really trivial stuff I wouldn't classify 
> as
> significant, and I'd be surprised if the publisher would too.
>
> e.